path: /build/build/pycups-dev-python-2.0.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pycups -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pycups
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pycups && luet-portage --dir /pkgdir/pycups
    dev-python/pycups && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: pycups
    version: 2.0.1+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Python bindings for libcups
    uri:
    - https://github.com/zdohnal/pycups https://pypi.org/project/pycups/
    license: GPL-2
    buildtimestamp: 2024-02-15 10:28:33.366637925 +0000 UTC m=+297.335312997
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: net-print/cups dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: examples python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: net-print/cups python_targets_python3_10? ( dev-lang/python:3.10 )
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pycups
      kit: geaaru-kit
      original.package.name: dev-python/pycups
      original.package.slot: "0"
      original.package.version: 2.0.1
    treedir: /build/packages
  package_dir: /pkgdir/pycups
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 480fe26a82eaad63503561e711be0189d36b12f46c977611b291341c477de6fd
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/cups.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/pycups-2.0.1.dist-info/METADATA
- usr/lib/python3.9/site-packages/pycups-2.0.1.dist-info/RECORD
- usr/lib/python3.9/site-packages/pycups-2.0.1.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pycups-2.0.1.dist-info/top_level.txt
- usr/share/doc/pycups-2.0.1/NEWS.bz2
- usr/share/doc/pycups-2.0.1/README.bz2
- usr/share/doc/pycups-2.0.1/TODO.bz2
- var/db/pkg/dev-python/pycups-2.0.1/BDEPEND
- var/db/pkg/dev-python/pycups-2.0.1/BUILD_TIME
- var/db/pkg/dev-python/pycups-2.0.1/CATEGORY
- var/db/pkg/dev-python/pycups-2.0.1/CBUILD
- var/db/pkg/dev-python/pycups-2.0.1/CFLAGS
- var/db/pkg/dev-python/pycups-2.0.1/CHOST
- var/db/pkg/dev-python/pycups-2.0.1/CONTENTS
- var/db/pkg/dev-python/pycups-2.0.1/COUNTER
- var/db/pkg/dev-python/pycups-2.0.1/CXXFLAGS
- var/db/pkg/dev-python/pycups-2.0.1/DEFINED_PHASES
- var/db/pkg/dev-python/pycups-2.0.1/DEPEND
- var/db/pkg/dev-python/pycups-2.0.1/DESCRIPTION
- var/db/pkg/dev-python/pycups-2.0.1/EAPI
- var/db/pkg/dev-python/pycups-2.0.1/FEATURES
- var/db/pkg/dev-python/pycups-2.0.1/HOMEPAGE
- var/db/pkg/dev-python/pycups-2.0.1/INHERITED
- var/db/pkg/dev-python/pycups-2.0.1/IUSE
- var/db/pkg/dev-python/pycups-2.0.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pycups-2.0.1/KEYWORDS
- var/db/pkg/dev-python/pycups-2.0.1/LDFLAGS
- var/db/pkg/dev-python/pycups-2.0.1/LICENSE
- var/db/pkg/dev-python/pycups-2.0.1/NEEDED
- var/db/pkg/dev-python/pycups-2.0.1/PF
- var/db/pkg/dev-python/pycups-2.0.1/PROVIDES
- var/db/pkg/dev-python/pycups-2.0.1/RDEPEND
- var/db/pkg/dev-python/pycups-2.0.1/REQUIRES
- var/db/pkg/dev-python/pycups-2.0.1/SIZE
- var/db/pkg/dev-python/pycups-2.0.1/SLOT
- var/db/pkg/dev-python/pycups-2.0.1/USE
- var/db/pkg/dev-python/pycups-2.0.1/environment.bz2
- var/db/pkg/dev-python/pycups-2.0.1/pycups-2.0.1.ebuild
- var/db/pkg/dev-python/pycups-2.0.1/repository
package_cacheimage: ""
runtime:
  name: pycups
  version: 2.0.1+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: cups
    version: '>=0'
    category: net-print
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Python bindings for libcups
  uri:
  - https://github.com/zdohnal/pycups https://pypi.org/project/pycups/
  license: GPL-2
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: net-print/cups dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: examples python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: net-print/cups python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pycups
    kit: geaaru-kit
    original.package.name: dev-python/pycups
    original.package.slot: "0"
    original.package.version: 2.0.1
